export APPS_ROOT="$HOME/apps"
export NODE_ROOT="$APPS_ROOT/node"
export GOROOT="$APPS_ROOT/go"
export GOPATH="$HOME/go"
export EDITOR=vim
export MONGO_HOME="$HOME/apps/mongodb-4.0.21"
export VIM_ROOT="$HOME/apps/vim"
export CLICOLOR=1

export PATH="$HOME/bin:$HOME/.cargo/bin:$GOPATH/bin:$GOROOT/bin:$NODE_ROOT/bin:$MONGO_HOME/bin:$HOME/Library/Python/3.9/bin:$PATH"
# The next line updates PATH for the Google Cloud SDK.
if [ -f '/Users/jay/apps/google-cloud-sdk/path.zsh.inc' ]; then . '/Users/jay/apps/google-cloud-sdk/path.zsh.inc'; fi

# The next line enables shell command completion for gcloud.
if [ -f '/Users/jay/apps/google-cloud-sdk/completion.zsh.inc' ]; then . '/Users/jay/apps/google-cloud-sdk/completion.zsh.inc'; fi

# `$HOME/bin/start-agent`
SSH_ENV="$HOME/.ssh/agent-environment"

function start_agent {
    echo "Initialising new SSH agent..."
    /usr/bin/ssh-agent | sed 's/^echo/#echo/' > "${SSH_ENV}"
    echo succeeded
    chmod 600 "${SSH_ENV}"
    . "${SSH_ENV}" > /dev/null
    /usr/bin/ssh-add;
}

# Source SSH settings, if applicable

if [ -f "${SSH_ENV}" ]; then
    . "${SSH_ENV}" > /dev/null
    #ps ${SSH_AGENT_PID} doesn't work under cywgin
    ps -ef | grep ${SSH_AGENT_PID} | grep ssh-agent$ > /dev/null || {
        start_agent;
    }
else
    start_agent;
fi

